#
# spec file for package libmowgli
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmowgli
%define         libsoname %{name}2
Summary:        A development framework for C (like GLib)
License:        MIT
Group:          Development/Libraries/C and C++
Version:        1.0.0
Release:        pm152.1.8
Url:            http://atheme.org/projects/libmowgli.html

#Git-Clone:	git://github.com/atheme/libmowgli
Source:         http://distfiles.atheme.org/libmowgli-%version.tar.bz2
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkg-config

%description
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator

%package -n %libsoname
Summary:        Shared library from libmowgli
Group:          System/Libraries

%description -n %libsoname
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator

This package holds the shared library from libmowgli.

%package devel
Summary:        The development files for libmowgli
Group:          Development/Libraries/C and C++
Requires:       %libsoname = %version
Requires:       glibc-devel

%description devel
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator

This package holds the development files for libmowgli.

%prep
%setup -q

%build
if [ ! -e configure ]; then
	./autogen.sh;
fi;
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%post   -n %libsoname -p /sbin/ldconfig

%postun -n %libsoname -p /sbin/ldconfig

%files -n %libsoname
%defattr(-,root,root)
%_libdir/%name.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING doc/BOOST README
%_includedir/%name/
%_libdir/%name.so
%_libdir/pkgconfig/%name.pc

%changelog
* Mon Mar  3 2014 jengelh@inai.de
- Update project URL
* Sun Mar  3 2013 jengelh@inai.de
- Use more robust make install call
* Tue Jan 31 2012 jengelh@medozas.de
- Update to new upstream release 1.0.0
  * Allow iteration on NULL patricias
  * Undeprecate mowgli.spinlock
* Wed Dec 14 2011 cfarrell@suse.com
- license update: MIT
  COPYING says MIT. There are BSD-3-Clause instances in the package but
  let^s go with upstream^s classification
* Fri Dec  9 2011 idonmez@suse.com
- Use upstream tarball (autogen.sh and aclocal.m4 added)
* Fri Dec  9 2011 coolo@suse.com
- fix license to be in spdx.org format
* Sun Oct  9 2011 chris@computersalat.de
- update to 0.9.95
  * Add MOWGLI_DEPRECATED to mark symbols as deprecated on GCC/ICC/MSVC.
    mowgli.allocator: actually, shouldn't be deprecated
    mowgli.spinlock: mark as deprecated
    mowgli.allocator: mark as deprecated
    mowgli.dictionary: mark as deprecated
    mowgli.ioevent: mark as deprecated
  * configure: refresh
- spec cleanup
* Mon Aug  1 2011 chris@computersalat.de
- fix group for shared library
- remove --disable-static (unknown)
* Sat Jun 25 2011 jengelh@medozas.de
- Update to libmowgli-0.9.50
  * Rewrite mowgli_patricia to reduce cache misses
  * Fix corruption in mowgli_patricia after deleting nodes
  * Fix off-by-one error in mowgli_node_nth when iterating backwards
* Mon Feb 22 2010 mrueckert@suse.de
- package documentation
* Mon Feb 22 2010 mrueckert@suse.de
- update to 0.7.0
- added baselibs.conf file (from home:jengelh:irc/libmowgli)
* Mon Feb 22 2010 mrueckert@suse.de
- cleanup spec file
* Sun Dec  2 2007 crrodriguez@suse.de
- Initial package version
